=== debian/changelog ===
util-linux (2.41-4ubuntu4) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 06 Sep 2025 15:37:59 +0000

util-linux (2.41-4ubuntu3) questing; urgency=medium

  * lib/path: avoid double free() for cpusets (LP: #2115636)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 02 Jul 2025 14:45:08 +0200

util-linux (2.41-4ubuntu2) questing; urgency=medium

  * Fix FTBFS (LP: #2112552)
    Mark a test as "known fail" due to coreutils-from-uutils. This test is
    skipped with coreutils-from-gnu anyway.
    - d/p/u/lp-2112552-tests-mark-mkfds-multiplexing-as-known-fail.patch

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Thu, 05 Jun 2025 12:19:26 +0200

util-linux (2.41-4ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2111830).
    Nothing of note in this merge, just a trivial patch refresh.
    Remaining changes:
    - Add sulogin-fallback-static-sh.patch
      Add support for /bin/static-sh as fallback if the regular shell fails to
      execute. Patch ported from sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch
      Make sure file systems can be fixed on machines with locked root
      accounts (as Ubuntu does by default). Don't require --force for sulogin.
    - d/p/ubuntu/lp-2030793-make-check-pidfd.patch
      Skip tests lsfd/column-name-pidfd,lsfd/mkfds-pidfd that fail when run
      using the Focal kernel
    - d/rules: disable libmount mountfs support
      Disable brand new feature with --disable-libmount-mountfd-support that
      causes inability to deploy MAAS LP #2037417.

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Tue, 27 May 2025 17:24:32 +0200

util-linux (2.41-4) unstable; urgency=medium

  * Pick patches from upstream v2.41-stable branch.
    Includes fix for #1102499 (Kubernetes regression with mount
    --no-canonicalize), regression fixes for option parsing in findmnt,
    handling of :! in more, handling of strings in tr_TR locale.
    (Closes: #1102499)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 09 Apr 2025 23:08:54 +0200

util-linux (2.41-3) unstable; urgency=medium

  * Upload to unstable.
  * d/copyright: fix names of lsfd files.

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 02 Apr 2025 19:31:10 +0200

util-linux (2.41-2) experimental; urgency=medium

  * Fix Conflicts/Replaces with manpages-pl
  * Install localized newgrp.1 into login

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 19 Mar 2025 23:55:38 +0100

util-linux (2.41-1) experimental; urgency=medium

  * New upstream release.
  * d/control: put myself directly into the Maintainer field
  * Refresh patches
  * Update list of installed localized manpages

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 18 Mar 2025 17:26:32 +0100

util-linux (2.41~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * d/copyright: lsfd has moved in the source
  * d/README.source: replace pbuilder with sbuild
  * Drop upstream-applied patches
  * Drop untranslated manpages

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 06 Mar 2025 13:30:32 +0100
