## util-linux 2.41.1

=== debian/changelog ===
util-linux (2.41.1-2) unstable; urgency=medium

  * Mark uuid_time64 symbol linux-only.
    Thanks to Samuel Thibault <sthibault@debian.org> (Closes: #1108994)
  * Install PAM configuration for login "remote" (Closes: #1103923)
  * Add patches from upstream

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 30 Aug 2025 22:21:32 +0200

util-linux (2.41.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop upstream signing-key for the time being
  * d/README.source: update tag fetch instructions for current git
  * Rebase patches
  * d/README.source: update for current repo layout
  * login: drop Protected: yes.
    Bug #1099445.

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 12 Aug 2025 09:52:52 +0200

util-linux (2.41-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * Mark uuid_time64 symbol as glibc-only (Closes: #1105006)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 10 May 2025 00:54:07 +0200
