=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,6 @@
 CONFOPTS += --with-selinux
 CONFOPTS += --with-smack
 CONFOPTS += --enable-partx
-
-# Currently causes catastrophic failure with our overlayroot tpmfs,
-# deleted lower setup as created by overlayroot / cloud-initrd as used
-# by MAAS LP: #2037417
-CONFOPTS += --disable-libmount-mountfd-support
 
 ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 	CONFOPTS += --without-systemd --without-udev --without-audit
@@ -166,8 +161,10 @@
 override_dh_installpam:
 ifneq ($(DEB_HOST_ARCH_OS),linux)
 	sed -i 's/^session    optional   pam_keyinit.so/# Linux only # session    optional   pam_keyinit.so/' debian/login.pam
+	sed -i 's/^session    optional   pam_keyinit.so/# Linux only # session    optional   pam_keyinit.so/' debian/login.remote.pam
 endif
 	dh_installpam --package=login
+	dh_installpam --package=login --name=remote
 	dh_installpam --package=util-linux --name=runuser
 	dh_installpam --package=util-linux --name=runuser-l
 	dh_installpam --package=util-linux --name=su
