## util-linux 2.41.2

=== meson_options.txt ===
--- 
+++ 
@@ -25,6 +25,8 @@
 option('btrfs',       type : 'feature')
 option('widechar',    type : 'feature',
        description : 'compile with wide character support')
+option('translate-docs', type : 'feature',
+       description : 'translate documentation')
 
 # enable building of various programs and features ("build-" prefix)
 
@@ -296,5 +298,3 @@
 
 option('fs-search-path',
        type : 'string',
-       value : '/sbin:/sbin/fs.d:/sbin/fs',
-       description : 'default search path for fs helpers')
