=== debian/changelog ===
util-linux (2.41.2-4) unstable; urgency=medium

  * Install pivot_root into util-linux-extra.
    Thanks to Antonio Ospite (Closes: #1117538)
  * Ensure /var/lib/lastlog exists for pam_lastlog2.
    Previously this was created by lastlog2-tmpfiles.conf, installed by the
    lastlog2 package. But lastlog2 itself is optional and not stricly
    necessary for libpam-lastlog2 to function. Install lastlog2-tmpfiles.conf
    into libpam-lastlog2, and also have dpkg create the directory.
    Thanks to Joachim Jautz (Closes: #1117725)
  * Break older dracut for moved switch_root

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 10 Oct 2025 12:24:08 +0200

util-linux (2.41.2-3) unstable; urgency=medium

  * Revive switch_root for dracut, in util-linux-extra (Closes: #1116629)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 29 Sep 2025 14:29:05 +0200

util-linux (2.41.2-2) unstable; urgency=medium

  * Reduce Installed-Size of util-linux:
    * Move lslogins from util-linux to util-linux-extra
    * Move rev from util-linux to bsdextrautils
    * Move blkzone, chcpu, chmem, lsmem from util-linux to util-linux-extra
    * Move isosize from util-linux to util-linux-extra
    * Move wdctl from util-linux to util-linux-extra
    * Move rename.ul from util-linux to util-linux-extra
    * Move ldattach from util-linux to util-linux-extra
    * Stop installing pivot_root, switch_root. Apparently unused on Debian.
  * util-linux-extra: Remove protectice diversions for usrmerge

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 25 Sep 2025 02:57:16 +0200

util-linux (2.41.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop upstream-applied patches.
  * Release to unstable.

  Includes from upstream:

  [ Sam Fink ]
  * libblkid: Fix probe_ioctl_tp assigning BLKGETDISKSEQ as physical sector size
  (Closes: #1115590)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 25 Sep 2025 00:08:38 +0200

util-linux (2.41.1-4) experimental; urgency=medium

  * d/copyright: remove (old) FSF address
  * fdisk-udeb: remove old lintian overrides
  * Ignore lintian warning about dh-exec-script-without-dh-exec-features
  * util-linux.README.Debian: fstrim is enabled by default (Closes: #1115239)
  * Install isosize into upstream-determined /usr/bin (Closes: #1025819)
  * Install chmem into upstream-determined /usr/bin
  * Install addpart,delpart into util-linux-extra (Closes: #1115193)
  * Fix enosys bash completion using upstream patches (Closes: #1108317)
  * Move newgrp, sg from login to util-linux-extra (Closes: #1111747)
  * Install ll2_rename_user.3 into util-linux-locales
  * Move logger to util-linux
  * Drop Essential: yes from bsdutils

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 15 Sep 2025 00:46:17 +0200

util-linux (2.41.1-3) unstable; urgency=medium

  [ Niels Thykier ]
  * Replace ad-hoc maintscripts substitution with `dh_installdeb` feature

  [ Thomas Weißschuh ]
  * Install lsclocks into util-linux-extra

  [ Chris Hofstaedtler ]
  * Install lsclocks bash completion and translated man pages

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 09 Sep 2025 11:09:50 +0200
