=== debian/control ===
--- 
+++ 
@@ -34,8 +34,7 @@
  libedit-dev,
 Section: utils
 Priority: required
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chris Hofstaedtler <zeha@debian.org>
+Maintainer: Chris Hofstaedtler <zeha@debian.org>
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/util-linux
@@ -60,7 +59,11 @@
 Conflicts:
  hardlink,
 Replaces:
+ bsdutils (<< 1:2.41.1-4~),
  hardlink,
+Breaks:
+ bsdutils (<< 1:2.41.1-4~),
+ dracut (<< 108-6~),
 Pre-Depends:
 # (Pre-)Depend on libpam-*, so runuser/su work.
  libpam-modules,
@@ -82,6 +85,7 @@
 Depends:
  util-linux (>= ${source:Upstream-Version}),
 Breaks:
+ login (<< 1:4.16.0-2+really2.41.1-4~),
  manpages-cs (<< 4.19.0-7~),
  manpages-da (<< 4.19.0-7~),
  manpages-de (<< 4.19.0-7~),
@@ -101,6 +105,7 @@
  manpages-uk (<< 4.19.0-7~),
  manpages-uk-dev (<< 4.19.0-7~),
 Replaces:
+ login (<< 1:4.16.0-2+really2.41.1-4~),
  manpages-cs (<< 4.19.0-7~),
  manpages-da (<< 4.19.0-7~),
  manpages-de (<< 4.19.0-7~),
@@ -144,13 +149,13 @@
 Package: bsdutils
 Architecture: any
 Build-Profiles: <!stage1>
-Essential: yes
+Priority: standard
 Recommends:
  bsdextrautils,
 Multi-Arch: foreign
 Description: basic utilities from 4.4BSD-Lite
  This package contains the bare minimum of BSD utilities needed for a Debian
- system: logger, renice, script, scriptlive, scriptreplay and wall. The
+ system: renice, script, scriptlive, scriptreplay and wall. The
  remaining standard BSD utilities are provided by bsdextrautils.
 
 Package: bsdextrautils
@@ -159,12 +164,14 @@
 Priority: optional
 Replaces:
  bsdmainutils (<< 12.1.3),
+ util-linux (<< 2.41.2-2~),
 Breaks:
  bsdmainutils (<< 12.1.3),
+ util-linux (<< 2.41.2-2~),
 Multi-Arch: foreign
 Description: extra utilities from 4.4BSD-Lite
  This package contains some extra BSD utilities: col, colcrt, colrm, column,
- hd, hexdump, look, ul.
+ hd, hexdump, look, rev, ul.
  Other BSD utilities are provided by bsdutils and calendar.
 
 Package: fdisk
@@ -393,5 +400,3 @@
 Section: debian-installer
 Priority: optional
 Package-Type: udeb
-Build-Profiles: <!noudeb>
-Description: stripped down Universally Unique ID library, for debian-installer
