## util-linux 2.41.3

=== debian/changelog ===
util-linux (2.41.3-4.0nosystemd1) nosystemd; urgency=medium

  * depends on pam changed
  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Sun, 22 Feb 2026 20:13:40 +0200

util-linux (2.41.3-4) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Follow libselinux1-dev to libselinux-dev rename (Closes: #1124751)
  * uuid-runtime: stop removing /var/run/uuidd on purge
    /run is a tmpfs, it will be cleaned up anyway. Lets us drop the postrm
    maintscript.

  [ Luca Boccassi ]
  * uuid-runtime: drop manual scripting in postinst and rely on sysusers.d

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 21 Feb 2026 17:15:50 +0100

util-linux (2.41.3-3) unstable; urgency=medium

  * d/libsmartcols1.symbols: drop terminal crap
  * d/rules: make dpkg-gensymbols more strict
  * lintian: ignore groff-message tags
  * lintian: ignore groff-message tags in remaining packages
  * Add upstream patches
    * unshare: fix user namespace bind mounts
    * unshare: remove get_mnt_ino() check in bind_ns_files_from_child()
    * unshare: add --owner to set user namespace owner uid and gid
    * libfdisk: modernize ZFS GPT type description

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 31 Dec 2025 13:06:28 +0100

util-linux (2.41.3-2) unstable; urgency=medium

  [ Luca Boccassi ]
  * util-linux: do not fail postinst/prerm if update-alternatives is missing

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 17 Dec 2025 10:42:28 +0100

util-linux (2.41.3-1) unstable; urgency=medium

  * Stop installing lastlog2-import.service
  * New upstream release, fixing CVE-2025-14104. (Closes: #1122058)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 16 Dec 2025 20:37:41 +0100
