=== debian/control ===
--- 
+++ 
@@ -17,9 +17,8 @@
  libncurses-dev,
  libpam0g-dev <!stage1>,
  libreadline-dev,
- libselinux1-dev [linux-any],
+ libselinux-dev [linux-any],
  libsqlite3-dev,
- libsystemd-dev [linux-any] <!stage1>,
  libtool,
  libudev-dev [linux-any] <!stage1>,
  netbase <!stage1 !nocheck>,
@@ -27,8 +26,6 @@
  po-debconf,
  po4a,
  socat <!stage1 !nocheck>,
- systemd [linux-any] <!stage1>,
- systemd-dev [linux-any] <!stage1>,
  zlib1g-dev,
 Build-Conflicts:
  libedit-dev,
@@ -376,8 +373,6 @@
 Priority: optional
 Pre-Depends:
  libuuid1,
-Depends:
- adduser,
 Multi-Arch: foreign
 Description: runtime components for the Universally Unique ID library
  The libuuid library generates and parses 128-bit Universally Unique
@@ -400,3 +395,5 @@
 Section: debian-installer
 Priority: optional
 Package-Type: udeb
+Build-Profiles: <!noudeb>
+Description: stripped down Universally Unique ID library, for debian-installer
