=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	CONFOPTS += --without-systemd --without-udev --without-audit
 	CONFOPTS += --disable-newgrp --disable-login --disable-nologin
 else
-	CONFOPTS += --with-systemd --with-udev --with-audit
+	CONFOPTS += --without-systemd --with-udev --with-audit
 	CONFOPTS += --enable-newgrp --enable-login --enable-nologin
 endif
 
@@ -64,12 +64,6 @@
 
 # hardening
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
-
-ifeq ($(filter stage1,$(DEB_BUILD_PROFILES))-$(DEB_HOST_ARCH_OS),-linux)
-export deb_systemdsystemunitdir = $(shell pkg-config --variable=systemdsystemunitdir systemd | sed s,^/,,)
-else
-export deb_systemdsystemunitdir = debhelper needs this variable even when it doesn't need it
-endif
 
 %:
 	dh $@
@@ -170,10 +164,16 @@
 
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 override_dh_installsystemd:
-	dh_installsystemd -putil-linux fstrim.timer
-	dh_installsystemd -putil-linux fstrim.service
-	dh_installsystemd --remaining-packages
+	#dh_installsystemd -putil-linux fstrim.timer
+	#dh_installsystemd -putil-linux fstrim.service
+	#dh_installsystemd --remaining-packages
 endif
+
+#override_dh_shlibdeps:
+#	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
+
+override_dh_makeshlibs:
+	dh_makeshlibs -- -c4
 
 override_dh_auto_test:
 ifeq ($(DEB_HOST_ARCH_OS), linux)
